# -*- coding: utf-8 -*-
"""Colour definitions for the stonerplots package."""
__all__ = ["tube_colours", "tube_colours_90", "tube_colours_70", "tube_colours_50", "tube_colours_10"]

# Taken from the tfl blog: https://blog.tfl.gov.uk/2022/12/22/digital-colour-standard/
tube_colours = {
    "bakerloo": "#B26300",
    "central": "#DC241F",
    "circle": "#FFC80A",
    "district": "#007D32",
    "hammersmith&city": "#F589A6",
    "metropolitan": "#9B0058",
    "northern": "#000000",
    "piccadilly": "#0019A8",
    "jubilee": "#838D93",
    "victoria": "#039BE5",
    "waterloo&city": "#76D0BD",
    "liberty": "#61686B",
    "lioness": "#FFA600",
    "mildmay": "#006FE6",
    "suffragette": "#18A95D",
    "weaver": "#9B0058",
    "windrush": "#DC241F",
    "bus": "#DC241F",
    "night_bus": "#C3D9F7",
    "river_bus": "#039BE5",
    "cable_car": "#DC241F",
    "dlr": "#00AFAD",
    "elizabeth": "#60399E",
    "national_rail": "#000000",
    "overground": "#FA7B05",
    "thameslink": "#DA4290",
    "tfl_rail": "#0019A8",
    "tram": "#5FB526",
    "london_coaches": "#FFA600",
    "taxi&private_hire": "#8C88E3",
    "johnstone_black": "#03071C",
    "night_service": "#1A1A36",
}

tube_colours_90 = {
    "bakerloo90": "#753500",
    "central90": "#940000",
    "district90": "#004d1f",
    "northern90": "#474747",
    "waterloo&city90": "#319475",
    "hammersmith&city90": "#CC526A",
    "jubilee90": "#4E5F6B",
    "elizabeth90": "#221438",
    "metropolitan90": "#54003A",
    "overground90": "#BD4B00",
    "piccadilly90": "#00004D",
    "thameslink90": "#9C0964",
    "tram90": "#2A8201",
    "victoria90": "#0068B3",
    "yellow90": "#D6B300",
    "night90": "#05040D",
}

tube_colours_70 = {
    "bakerloo70": "#9E5200",
    "central70": "#BD0404",
    "hammersmith&city70": "#E06C87",
    "district70": "#00b347",
    "jubilee70": "#677680",
    "metropolitan70": "#7D004D",
    "northern70": "#333333",
    "overground70": "#E66700",
    "elizabeth70": "#502f83",
    "piccadilly70": "#000875",
    "thameslink70": "#C42B7F",
    "tram70": "#48A115",
    "victoria70": "#0084D1",
    "waterloo&city70": "#5CBDA5",
    "yellow70": "#F5D800",
    "night70": "#0E0D21",
}

tube_colours_50 = {
    "bakerloo50": "#ff991a",
    "central50": "#e96663",
    "hammersmith&city50": "#f2c0cb",
    "district50": "#4dff94",
    "jubilee50": "#d5dadd",
    "metropolitan50": "#ff4dba",
    "northern50": "#a6a6a6",
    "overground50": "#fdd7b4",
    "elizabeth50": "#9c7cd0",
    "piccadilly50": "#4d59ff",
    "thameslink50": "#e896c3",
    "tram50": "#93ea61",
    "victoria50": "#80d0ff",
    "waterloo&city50": "#80ccb9",
    "yellow50": "#ffea4d",
    "night50": "#837fcd",
}


tube_colours_10 = {
    "bakerloo10": "#F1E3D1",
    "central10": "#F9DCDB",
    "district10": "#b3ffd1",
    "hammersmith&city10": "#FDE3EA",
    "jubilee10": "#E1E4E5",
    "metropolitan10": "#EFD6E4",
    "northern10": "#E0E0E0",
    "overground10": "#FEE0C3",
    "elizabeth10": "#d5c7eb",
    "piccadilly10": "#D6DAF1",
    "thameslink10": "#F6D2E5",
    "tram10": "#D9EDCB",
    "victoria10": "#C3E7F9",
    "waterloo&city10": "#D9F2ED",
    "yellow10": "#FFF7CC",
    "lightgreen10": "#DEFAE0",
    "lightpink10": "#FFDBE3",
}
